Bug 572447 - Review Request: compat-gdbm - A GNU set of database routines compatibility library
Summary: Review Request: compat-gdbm - A GNU set of database routines compatibility li...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 572529 (view as bug list)
Depends On:
Blocks: 572261
TreeView+ depends on / blocked
 
Reported: 2010-03-11 09:09 UTC by Karel Klíč
Modified: 2013-03-03 23:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 15:02:55 UTC
rdieter: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Karel Klíč 2010-03-11 09:09:04 UTC
Spec URL: http://kklic.fedorapeople.org/compat-gdbm.spec
SRPM URL: http://kklic.fedorapeople.org/compat-gdbm-1.8.0-1.fc12.src.rpm
Description: 
A temporary gdbm compatibility package for Fedora Rawhide. Contains dynamic library from gdbm 1.8.0. It allows us to upgrade gdbm package to version 1.8.3.

Devel subpackage is not necessary, because gdbm 1.8.3 contains 99.9% identical interface. Packages should be built against gdbm-devel-1.8.3.

$ rpmlint ./compat-gdbm.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ./compat-gdbm-1.8.0-1.fc12.src.rpm 
compat-gdbm.src: W: spelling-error %description -l en_US dbm -> db, dim, dam
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Karel Klíč 2010-03-11 10:33:06 UTC
Dan Horak suggested to use symlinks instead of this compat package.

/usr/lib/libgdbm.so.2 -> libgdbm.so.3.0.0
/usr/lib/libgdbm.so.2.0.0 -> libgdbm.so.3.0.0

I'll try that before proceeding with compat-gdbm.

Comment 2 Rex Dieter 2010-03-11 13:35:12 UTC
*** Bug 572529 has been marked as a duplicate of this bug. ***

Comment 3 Rex Dieter 2010-03-11 13:36:42 UTC
symlinks won't solve the bootstrapping problem with rpm-build/perl deps.

Comment 4 Rex Dieter 2010-03-11 13:37:31 UTC
I can help review this.

Comment 5 Rex Dieter 2010-03-11 13:44:20 UTC
1.  SHOULD: instead of building, then manually removing libgdbm.a, use
%configure --disable-static

2.  MUST: remove 
Obsoletes: gdbm <= 1.8.0, gdbm-devel <= 1.8.0
the gdbm upgrade path should go to the newer gdbm-1.8.3+ pkgs, not this one


The rest looks pretty simple and good guidelines-wise.  Fix these (well, at least the MUST item #2), and I'll approve this.

Comment 6 Paul Howarth 2010-03-11 14:45:55 UTC
(In reply to comment #3)
> symlinks won't solve the bootstrapping problem with rpm-build/perl deps.    

Why do you say that? I've successfully rebuilt perl locally in mock with the new gdbm (with symlinks) in the buildroot.

Comment 7 Karel Klíč 2010-03-11 14:54:28 UTC
Spec URL: http://kklic.fedorapeople.org/compat-gdbm.spec
SRPM URL: http://kklic.fedorapeople.org/compat-gdbm-1.8.0-2.fc12.src.rpm

Removed `Obsoletes: gdbm...`
Used %%configure --disable-static instead of removing libgdmb.a

Symbolic links (libgdbm.so.2->libgdmb.so.3) and some "Provides" tags must be
removed from the gdbm package _before_ this package goes to rawhide.

Comment 8 Rex Dieter 2010-03-11 15:39:36 UTC
Re: comment #6
the symlinks didn't help there, but the fake Provides


One last minor comment, the auto*foo modifications should be in %setup, not %build section.  But, I won't block on that.

Thanks for the modifications.  APPROVED.


Correct too about the hacks to main gdbm package need to be removed before this lands.

Comment 9 Karel Klíč 2010-03-11 16:00:05 UTC
The hacks are removed in gdbm-1_8_3-5_fc14. 

When building and pushing compat-gdbm into rawhide, gdbm-1_8_3-5_fc14 should also be built, and the packages should land into rawhide together.

Rex, thank you for the review.

Comment 10 Karel Klíč 2010-03-12 08:58:48 UTC
New Package CVS Request
=======================
Package Name: compat-gdbm
Short Description:  A GNU set of database routines compatibility library
Owners: kklic
Branches: devel
InitialCC:

Comment 11 Tom "spot" Callaway 2010-03-15 21:45:22 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.